async function stepFunctionType_add_img(step) {

    chrome.storage.local.remove(["step"]);
  
    var url = step["image_url"];

    let elems = document.evaluate(step["xpath"], document, null, XPathResult.FIRST_ORDERED_NODE_TYPE, null);
    var elem = elems.singleNodeValue;

    if (elem === null)
        throw new Error("[stepFunctionType_add_img] Element not found|Xpath: "+step["xpath"]+"");

    // Obtain image Blog
    const respuesta = await fetch(url, { cache: "no-store" });
    
    if (!respuesta.ok)
        throw new Error('[stepFunctionType_add_img] Error getting image');
    
    const blob = await respuesta.blob();
    console.log("Image loaded and converted to Blob");

    // Convert Blob a File
    const file = new File([blob], "imagen.png", { type: "image/png" });
    console.log("Blob converted to file");

    // Launch paste event in element
    elem.focus();

    // Make FileList object with the file
    var fileList = new DataTransfer();
    fileList.items.add(file);

    // Add object to element
    elem.files = fileList.files;
    
    console.log("Image added");

}