/*
 * stepFunctionType_add_to_clipboard.js - Botize Scraper
 * https://botize.com/es/app/btzscraper
 */

function stepFunctionType_add_to_clipboard(step) {

    chrome.storage.local.set({
      "status_message":"Adding to clipboard..."
    });

    console.log("stepFunctionType_add_to_clipboard(): Adding to clipboard");

    var url = step["url"];
    
    fetch(url, { cache: "no-store" })
        .then(response => {
            if (response.ok) {
                return response.blob();
            } else {
                chrome.storage.local.set({
                    "status_code": "STATUS_WAITING_JOB",
                    "status_message": "Searching for jobs"
                });
                throw new Error('No jobs to process');
            }
        })
        .then(blob => {
            
            // Create URL for blob
            const urlDeImagen = URL.createObjectURL(blob);

            console.log("URL blob: "+urlDeImagen);

            blob_url=urlDeImagen;

            chrome.storage.local.set({
                "status_code": "STATUS_PROCESSING_JOB",
            });

            chrome.storage.local.remove(["step"]);
        })
        .catch(error => {
            console.log("Error: " + error);
            chrome.storage.local.remove(["step"]);
        });

}
