/*
 * stepDFunctionType_api_call.js - Botize Scraper
 * https://botize.com/es/app/btzscraper
 */

function stepFunctionType_api_call(step) {

	console.log("stepFunctionType_api_call(): Send HTML");

	chrome.storage.local.set({"status_message":"Sending HTML to your task..."});

	var data_to_save = {
		"data": {
			"disabled_html":document.documentElement.outerHTML,
			"html":"TODO"+document.documentElement.innerHTML
		},
		"status_code":"TO-DO"
	};

	var headers={
		"Content-Type" : "application/x-www-form-urlencode"
	};

	step["url"] = step["url"]+"&tt="+Date.now();

	if (step["method"]=="POST") {

		// POST
		fetch(step["url"], {
			method: "POST",
			cache: "no-store",
			//headers: headers,
			body: JSON.stringify(data_to_save)
		})
		.then(response => response.text())
		.then(text => {
			console.log("[stepFunctionType_api_call] Response from "+step["url"]+": "+text);
			
			chrome.storage.local.remove(["step"]);

			console.log("stepFunctionType_api_call():Done");
			chrome.storage.local.set({"status_message":"Done!"});
		})
		.catch(error => {
			console.log("stepFunctionType_api_call(): Error " + error);
			chrome.storage.local.set({"status_message":"Error "+error});
			
			chrome.storage.local.remove(["step"]);
		});
	}
	else {

		// GET
		fetch(step["url"])
		.then(response => response.json())
		.then(data => {
			console.log("stepFunctionType_api_call():Done");
			chrome.storage.local.set({"status_message":"Done!"});
			
			chrome.storage.local.remove(["step"]);
		})
		.catch(error => {
			console.log("stepFunctionType_api_call(): Error " + error);
			chrome.storage.local.set({"status_message":"Error "+error});
			
			chrome.storage.local.remove(["step"]);
		});

	}
}