async function stepFunctionType_paste_img(step) {

    chrome.storage.local.remove(["step"]);
  
    var url = step["image_url"];

    let elems = document.evaluate(step["xpath"], document, null, XPathResult.FIRST_ORDERED_NODE_TYPE, null);
    var elem = elems.singleNodeValue;

    if (elem === null)
        throw new Error("[stepFunctionType_paste_img] Element not found|Xpath: "+step["xpath"]+"");

    // Obtain image Blog
    const respuesta = await fetch(url, { cache: "no-store" });
    
    if (!respuesta.ok)
        throw new Error('[stepFunctionType_paste_img] Error getting image');
    
    const blob = await respuesta.blob();
    
    // Convert Blob to File
    const archivoImagen = new File([blob], "imagen.png", { type: "image/png" });
    
    // Prepare object DataTransfer for ClipboardEvent event
    const dataTransfer = new DataTransfer();
    dataTransfer.items.add(archivoImagen);

    // Launch paste event in element
    elem.focus();
    const pasteEvent = new ClipboardEvent("paste", {
        bubbles: true,
        cancelable: true,
        clipboardData: dataTransfer
    });

    elem.dispatchEvent(pasteEvent);
}